# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': '.'}

packages = \
['junctionart',
 'junctionart.draw',
 'junctionart.extensions',
 'junctionart.junctions',
 'junctionart.junctions.notebooks',
 'junctionart.library',
 'junctionart.roadgen',
 'junctionart.roadgen.controlLine',
 'junctionart.roadgen.definitions',
 'junctionart.roadgen.layout',
 'junctionart.roadgen.library',
 'pyodrx']

package_data = \
{'': ['*']}

install_requires = \
['Babel==2.9.1',
 'Cycler==0.10.0',
 'Flask==1.1.2',
 'Jinja2==2.11.2',
 'MarkupSafe==1.1.1',
 'Pillow==8.0.1',
 'PySocks==1.7.1',
 'PyYAML==5.3.1',
 'Pygments==2.7.3',
 'Send2Trash==1.5.0',
 'Shapely==1.7.1',
 'Sphinx==4.1.2',
 'Werkzeug==1.0.1',
 'alabaster==0.7.12',
 'argon2-cffi==20.1.0',
 'astroid==2.4.2',
 'async_generator==1.10',
 'atomicwrites==1.4.0',
 'attrs==20.3.0',
 'backcall==0.2.0',
 'bleach==3.2.1',
 'brotlipy==0.7.0',
 'certifi==2021.5.30',
 'cffi==1.14.4',
 'chardet==4.0.0',
 'click==7.1.2',
 'colorama==0.4.4',
 'cryptography==3.3.1',
 'decorator==4.4.2',
 'defusedxml==0.6.0',
 'dill==0.3.3',
 'docutils==0.17.1',
 'entrypoints==0.3',
 'flake8==3.8.4',
 'idna==2.10',
 'imagesize==1.2.0',
 'importlib-metadata==2.0.0',
 'iniconfig==1.1.1',
 'ipykernel==5.3.4',
 'ipython==7.19.0',
 'ipython_genutils==0.2.0',
 'isort==5.6.4',
 'itsdangerous==1.1.0',
 'jedi==0.17.2',
 'json5==0.9.5',
 'jsonschema==3.2.0',
 'jupyter-client==6.1.7',
 'jupyter-core==4.7.0',
 'jupyterlab-pygments==0.1.2',
 'jupyterlab-server==1.2.0',
 'jupyterlab==2.2.6',
 'lazy-object-proxy==1.4.3',
 'markdown-it-py==1.1.0',
 'matplotlib==3.3.2',
 'mccabe==0.6.1',
 'mdit-py-plugins==0.2.8',
 'methodtools==0.4.2',
 'mistune==0.8.4',
 'mkl-service==2.3.0',
 'more-itertools==8.6.0',
 'mpmath==1.1.0',
 'myst-parser==0.15.1',
 'nbclient==0.5.1',
 'nbconvert==6.0.7',
 'nbformat==5.0.8',
 'nest-asyncio==1.4.3',
 'notebook==6.1.4',
 'numpy==1.20.3',
 'olefile==0.46',
 'packaging==20.7',
 'pandas==1.1.3',
 'pandocfilters==1.4.3',
 'parso==0.7.0',
 'pickleshare==0.7.5',
 'pip==20.3.1',
 'pluggy==0.13.1',
 'prometheus-client==0.9.0',
 'prompt-toolkit==3.0.8',
 'py==1.9.0',
 'pyOpenSSL==20.0.1',
 'pycodestyle==2.6.0',
 'pycparser==2.20',
 'pyflakes==2.2.0',
 'pylint==2.6.0',
 'pyparsing==2.4.7',
 'pyrsistent==0.17.3',
 'python-dateutil==2.8.1',
 'pytz==2020.1',
 'pywin32==227',
 'pywinpty==0.5.7',
 'pyzmq==20.0.0',
 'requests==2.25.1',
 'rope==0.18.0',
 'scikit-spatial==6.0.1',
 'scipy==1.5.2',
 'seaborn==0.11.0',
 'six==1.15.0',
 'snowballstemmer==2.1.0',
 'sphinxcontrib-applehelp==1.0.2',
 'sphinxcontrib-devhelp==1.0.2',
 'sphinxcontrib-htmlhelp==2.0.0',
 'sphinxcontrib-jsmath==1.0.1',
 'sphinxcontrib-qthelp==1.0.3',
 'sphinxcontrib-serializinghtml==1.1.5',
 'sympy==1.6.2',
 'terminado==0.9.1',
 'testpath==0.4.4',
 'toml==0.10.1',
 'tornado==6.1',
 'traitlets==5.0.5',
 'typed-ast==1.4.1',
 'typing-extensions==3.10.0.0',
 'urllib3==1.26.3',
 'wcwidth==0.2.5',
 'webencodings==0.5.1',
 'wheel==0.36.1',
 'win-inet-pton==1.1.0',
 'wincertstore==0.2',
 'wirerope==0.4.2',
 'wrapt==1.11.2',
 'z3-solver==4.8.10.0',
 'zipp==3.4.0']

setup_kwargs = {
    'name': 'junctionart',
    'version': '0.1.0',
    'description': 'Procedural HD Map and Intersection Generator',
    'long_description': None,
    'author': 'Adhocmaster',
    'author_email': 'adhocmaster@live.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7.9,<4.0.0',
}


setup(**setup_kwargs)
